summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorNP-Hardass <NP-Hardass@gentoo.org>2017-12-01 15:28:25 -0500
committerNP-Hardass <NP-Hardass@gentoo.org>2017-12-04 01:27:42 -0500
commit4c0ca0dba0b26d3213e523facb17cd16437ec9ec (patch)
tree609751d74116010ae79deb0c9869303a5d7b9ca4 /games-strategy
parentdev-ruby/yard: cleanup (diff)
downloadgentoo-4c0ca0dba0b26d3213e523facb17cd16437ec9ec.tar.gz
gentoo-4c0ca0dba0b26d3213e523facb17cd16437ec9ec.tar.bz2
gentoo-4c0ca0dba0b26d3213e523facb17cd16437ec9ec.zip
games-strategy/freeorion: Add subslot rebuild dep for boost
Package-Manager: Portage-2.3.14, Repoman-2.3.6
Diffstat (limited to 'games-strategy')
-rw-r--r--games-strategy/freeorion/Manifest2
-rw-r--r--games-strategy/freeorion/freeorion-0.4.7.1-r1.ebuild83
-rw-r--r--games-strategy/freeorion/freeorion-9999.ebuild2
3 files changed, 85 insertions, 2 deletions
diff --git a/games-strategy/freeorion/Manifest b/games-strategy/freeorion/Manifest
index 2581ebd4455..ee95a9473b3 100644
--- a/games-strategy/freeorion/Manifest
+++ b/games-strategy/freeorion/Manifest
@@ -1 +1 @@
-DIST freeorion-0.4.7.1.tar.gz 105942075 SHA256 924a88464e92c14aa8f6722b57f702e07d43c7257cf272150c98bc3c1124a87e SHA512 9c8d0437ee827a1104a541e1123ce6b5d229bd6253bfe275028805a4c34de882ca3a9d5361e3f64098f935d0926a656a64fe468690c8d195e05de86cd1b2699d WHIRLPOOL 87b328364320221715b1dc16154a40299229990b8726a4053ba875ca4fdc6838c354cae7d93036fbe92003e2f2158b9325715e20488e8af7c22723924ce3eec1
+DIST freeorion-0.4.7.1.tar.gz 105942075 BLAKE2B f75940ac79e329fd7e03e85b1cd712ff6dcf06583ad8feff43f8b2d6e28a53c9029724d1450d26d2367bafd1d04858e3659b8e47986df96657d91526f594eb5e SHA512 9c8d0437ee827a1104a541e1123ce6b5d229bd6253bfe275028805a4c34de882ca3a9d5361e3f64098f935d0926a656a64fe468690c8d195e05de86cd1b2699d
diff --git a/games-strategy/freeorion/freeorion-0.4.7.1-r1.ebuild b/games-strategy/freeorion/freeorion-0.4.7.1-r1.ebuild
new file mode 100644
index 00000000000..d0d5447656d
--- /dev/null
+++ b/games-strategy/freeorion/freeorion-0.4.7.1-r1.ebuild
@@ -0,0 +1,83 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 )
+inherit cmake-utils python-any-r1 gnome2-utils
+
+DESCRIPTION="A free turn-based space empire and galactic conquest game"
+HOMEPAGE="http://www.freeorion.org"
+
+if [[ ${PV} == 9999 ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/freeorion/freeorion.git"
+else
+ MY_PV="${PV/_/-}"
+ SRC_URI="https://github.com/${PN}/${PN}/archive/v${MY_PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64"
+ S="${WORKDIR}/${PN}-${MY_PV}"
+fi
+
+LICENSE="GPL-2 LGPL-2.1 CC-BY-SA-3.0"
+SLOT="0"
+IUSE=""
+
+RDEPEND="
+ >=dev-libs/boost-1.56:=[python,threads]
+ media-libs/freealut
+ media-libs/freetype
+ media-libs/glew:*
+ media-libs/libsdl2
+ >=media-libs/libogg-1.1.3
+ media-libs/libpng:0
+ media-libs/libsdl2[X,opengl,video]
+ >=media-libs/libvorbis-1.1.2
+ media-libs/openal
+ sci-physics/bullet
+ sys-libs/zlib
+ virtual/opengl
+ !dev-games/gigi"
+ # Use bundled gigi as of freeorion-0.4.3
+
+DEPEND="${RDEPEND}
+ ${PYTHON_DEPS}
+ virtual/pkgconfig"
+
+pkg_setup() {
+ # build system is using FindPythonLibs.cmake which needs python:2
+ python-any-r1_pkg_setup
+}
+
+src_prepare() {
+ sed -e "s/-O3//" -i CMakeLists.txt || die
+
+ cmake-utils_src_prepare
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DCMAKE_BUILD_TYPEE=Release
+ -DRELEASE_COMPILE_FLAGS=""
+ -DCMAKE_SKIP_RPATH=ON
+ )
+
+ append-cppflags -DBOOST_OPTIONAL_CONFIG_USE_OLD_IMPLEMENTATION_OF_OPTIONAL
+
+ cmake-utils_src_configure
+}
+
+src_install() {
+ cmake-utils_src_install
+ dodoc ChangeLog.md
+
+ newenvd "${FILESDIR}/${PN}.envd" 99${PN}
+}
+
+pkg_postinst() {
+ gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+}
diff --git a/games-strategy/freeorion/freeorion-9999.ebuild b/games-strategy/freeorion/freeorion-9999.ebuild
index 1be8614838d..d0d5447656d 100644
--- a/games-strategy/freeorion/freeorion-9999.ebuild
+++ b/games-strategy/freeorion/freeorion-9999.ebuild
@@ -24,7 +24,7 @@ SLOT="0"
IUSE=""
RDEPEND="
- >=dev-libs/boost-1.56[python,threads]
+ >=dev-libs/boost-1.56:=[python,threads]
media-libs/freealut
media-libs/freetype
media-libs/glew:*